package cz.cuni.amis.pogamut.ut2004.server.commands.dialog;

import java.util.Map;

/**
 * Simple adapter over IDialogListener interface
 * 
 * @author Radim Vansa <radim.vansa@matfyz.cz>
 * 
 */
public abstract class DialogListenerAdapter implements IDialogListener {

	@Override
	public void dialogCancelled(Dialog dialog, Map<String, String> data) {
		// Do nothing
	}

	@Override
	public void dialogCommand(Dialog dialog, String command, Map<String, String> data) {
		// Do nothing
	}

	@Override
	public void dialogSubmitted(Dialog dialog, Map<String, String> data) {
		// Do nothing
	}

}
